commit b602b667c05041df22c88fadd91fa8dd92330ce5
Author: Andreas Larsson <andreas@gaisler.com>
Date:   Wed Jul 5 13:36:31 2017

    sparc: Print out bit names for LEON and LEON3 with -mdebug
    
    gcc/ChangeLog:
    
            * config/sparc/sparc.c (dump_target_flag_bits): Print bit names for
            LEON and LEON3.

diff --git a/gcc/config/sparc/sparc.c b/gcc/config/sparc/sparc.c
index 42ba415255c..fea7d78949d 100644
--- a/gcc/config/sparc/sparc.c
+++ b/gcc/config/sparc/sparc.c
@@ -1604,6 +1604,10 @@ dump_target_flag_bits (const int flags)
     fprintf (stderr, "CBCOND ");
   if (flags & MASK_DEPRECATED_V8_INSNS)
     fprintf (stderr, "DEPRECATED_V8_INSNS ");
+  if (flags & MASK_LEON)
+    fprintf (stderr, "LEON ");
+  if (flags & MASK_LEON3)
+    fprintf (stderr, "LEON3 ");
   if (flags & MASK_SPARCLET)
     fprintf (stderr, "SPARCLET ");
   if (flags & MASK_SPARCLITE)

